Bug 69143 - [math/gnuplot+] fix amd64 build failure
Summary: [math/gnuplot+] fix amd64 build failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Norikatsu Shigemura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-16 10:40 UTC by NAKAJI Hiroyuki
Modified: 2004-07-16 12:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.98 KB, patch)
2004-07-16 10:40 UTC, NAKAJI Hiroyuki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description NAKAJI Hiroyuki 2004-07-16 10:40:18 UTC
	It is marked BROKEN on amd64 because FreeBSD/amd64 does not
have some IEEE FP functions like fpresetsticky(). The build failure log is
now available at
http://pointyhat.freebsd.org/errorlogs/amd64-5-full/gnuplot371+-1.2.0_1.log

	I found file/patch-za causes the problem. The feature of this
patch as reported in ports/16120 can take effect only on FreeBSD/i386.

Fix: Now files/patch-za has influence only on i386.
Comment 1 Norikatsu Shigemura freebsd_committer 2004-07-16 11:25:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 2 Edwin Groothuis freebsd_committer 2004-07-16 11:50:54 UTC
State Changed
From-To: open->closed

Commited, thanks!
Comment 3 edwin 2004-07-16 11:52:00 UTC
On Fri, Jul 16, 2004 at 10:26:07AM +0000, Norikatsu Shigemura wrote:
> Responsible-Changed-From-To: freebsd-ports-bugs->nork
> Responsible-Changed-By: nork
> Responsible-Changed-When: Fri Jul 16 10:25:51 GMT 2004
> Responsible-Changed-Why: 
> I'll handle this.

Oops, hadn't seen this one.

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 4 Norikatsu Shigemura freebsd_committer 2004-07-16 12:11:40 UTC
On Fri, 16 Jul 2004 20:52:00 +1000
Edwin Groothuis <edwin@mavetju.org> wrote:
> On Fri, Jul 16, 2004 at 10:26:07AM +0000, Norikatsu Shigemura wrote:
> > Responsible-Changed-From-To: freebsd-ports-bugs->nork
> > Responsible-Changed-By: nork
> > Responsible-Changed-When: Fri Jul 16 10:25:51 GMT 2004
> > Responsible-Changed-Why: 
> > I'll handle this.
> Oops, hadn't seen this one.

	No problem.  Thank you!